# -*- mode: makefile; coding: utf-8 -*-
# antiword invocation macros for GNU Make

#W3M_DUMP_ARGS ?= -I utf-8 -O utf-8
W3M_DUMP_ARGS ?= -O utf-8
DOC2HTML ?= doc2html
SHELL = /bin/bash
DOCS := $(wildcard *.doc)
XLSS := $(wildcard *.xls)
DOCHTMS := $(foreach doc,${DOCS},$(basename $(doc)).html)
DOCTXTS := $(foreach doc,${DOCS},$(basename $(doc)).txt)
ifndef NOXLSTXTS
XLSTXTS := $(foreach xls,${XLSS},$(basename $(xls)).txt) 
endif
ifndef NOXLSCVSS
XLSCVSS := $(foreach xls,${XLSS},$(basename $(xls)).cvs) 
endif

define doc2text
$(1).txt:	$(1).doc
	antiword $$< > $$@
endef

define doc2html
$(1).txt:	$(1).html
	w3m -dump ${W3M_DUMP_ARGS} $(1).html > $$@
#	deplate -A X,W -f xhtml10t -o $$@ --no-simple-names -m utf8 $$<
$(1).html:	$(1).doc
	wvHtml $$< $$@
endef

define xls2html
$(1).html:	$(1).xls
	xlhtml $$< > $$@
$(1).txt:	$(1).html
	w3m -dump ${W3M_DUMP_ARGS} $$< > $$@
$(1).csv:	$(1).xls
	xls2csv -o $$@ $$< && touch $$@
endef

$(foreach doc,${DOCS},$(eval $(call ${DOC2HTML},$(basename $(doc)))))
$(foreach doc,${XLSS},$(eval $(call xls2html,$(basename $(doc)))))

PRE_MAIN := ${PRE_MAIN} ${ALL_EXTRA} ${DOCHTMS} ${DOCTXTS} ${XLSTXTS}

antiword_lern:
	@echo DOCS: ${DOCS}
	@echo DOCHTMS: ${DOCHTMS}
	@echo XLSTXTS: ${XLSTXTS}
	@echo ALL_EXTRA: ${ALL_EXTRA}
