# -*- coding: utf-8; mode: makefile; srcfile: /adv/mktdir/include/defs.tmpl -*-

.PHONY:	all pre_all post_all nocache rmcache rmhm newmbox renav clean install uninstall pre_install post_install pre_uninstall post_uninstall instcom lern commit update cleanup test pre_test subdirs_test nosvn rsync test pre_commit total ttbz tlern blern dlern tmpl subtmpl rpm repo rrepo rlern rerpm rpm_install htdig main html dbms mlht mid_main rake dbput rmbr ${PHONY_EXTRA}
SHELL := /bin/bash
ifndef MPX
MPX := $(shell srcfpfx)
export MPX
endif
LANGS := $(shell cat ${MPX}langs)
LANG0 := $(firstword ${LANGS})
CACHE := ${MPX}var.${DOK}.mk Makefile.cache $(foreach lang,${LANGS},Makefile.$(lang).cache) $(foreach tml,${TMPLANGS},Makefile.$(tml).cache)
TMPLANG ?= multemp
LAN_OK = $(shell if test -e /var/opt/a2e/lan_ok;then echo 1;else echo 0;fi)
ifeq (${LAN_OK},1)
# RDATE_HOST = klina.oas.a2e.de
endif
ifdef HTDIG_LANGS
include a2e/dirs.mk
include a2e/htdig.mk
endif

cleanup:
	svn_cleanup -v
update:	cleanup
	svn update --accept tc
aktual:	update
	svn_resolve -v
pre_commit:	aktual test all
pre_kommit:	aktual test total
commit:	pre_commit
	svn commit -m 'make commit ${DOK}'
kommit:	pre_kommit
	svn commit -m 'make kommit ${DOK}' 
rmcache:
	rm -fv ${CACHE}
nocache:
	find . -name '*.cache' -exec rm {} ';';
	find . -name '${MPX}var.*.txt' -exec rm '{}' ';';
rmnav:
	rm -f *.nav.??.{txt,html};
rmdbm:
	rm -f *.{pag,dir};
nodbm:
	find -name '*.pag' -exec rm {} ';'
	find -name '*.dir' -exec rm {} ';'
rmnews:
	rm -f *.news.??.{txt,rss,html}
nonav:
	find . -name '*.nav.??.txt' -exec rm {} ';'
	find . -name '*.nav.??.html' -exec rm {} ';'
nonews:
	find . -name '*.news.??.html' -exec rm {} ';'
	find . -name '*.news.??.rss' -exec rm {} ';'
rmtop:
	rm -f ${MPX}top-*.txt $(if,${BINSFX},${DOK}.*.${BINSFX})
notop:
	find . -name '${MPX}top-*.txt' -exec rm {} ';'
	find . -name '*.pag' -exec rm {} ';'
clean:	aktual
	rm -f ${CACHE} index.??.html index.??.html.org *.{nav,doksrow}.??.html *~ \#* *.bak *_pass *.bin *.langs.??.html *.dict.txt *.dict.??.txt ${MPX}topd?? *.??.mk doksrow.??.html doktop*.html '${MPX}topd??'
	rm -fr HM MH ${CLEAN_EXTRA}
	svn_mv_non_svn -v
rclean:	clean
	DOKDIR=`dokdir`;ssh a2e.de make -C $$DOKDIR clean;echo OK RCLEAN
mrproper:	clean nocache
rmhm:
	rm -fr HM
newmbox:	rmhm rmcache HM
include a2e/orgs2objs.mk
include a2e/ttmk2objs.mk
# svn-update before anything else
pre_install:	aktual $(filter-out aktual,${PRE_INSTALL})
ifdef PAK
ifdef VER
PAV ?= ${PAK}-${VER}
PRE_INSTALL := $(filter-out tbz,${PRE_INSTALL}) tbz
post_install:	${POST_INSTALL}
	@echo POST_INSTALL in defs is ${POST_INSTALL}
post_uninstall:	${POST_UNINSTALL}
	@echo POST_UNINSTALL in defs is ${POST_UNINSTALL}
install:	pre_install ${PAV}
	sudo $(MAKE) -C ${PAV} install
	make post_install
tbz:	TBZ.mk tmpl
	make -f TBZ.mk all
ttbz:	TBZ.mk clean tmpl
	make -f TBZ.mk all
tlern:	TBZ.mk
	make -f TBZ.mk lern
blern:	tbz ${PAV}
	$(MAKE) -C ${PAV} lern
rmbr:
	sudo rm -fr /var/tmp/build-root
rpm:	aktual tbz
ifdef RDATE_HOST
	sudo rdate -s ${RDATE_HOST}
endif
	make -f $(shell if test -r RPM.mk;then echo RPM.mk;else echo /usr/include/a2e/rpm.mk;fi) build all
rerpm:	aktual tbz
	make -f $(shell if test -r RPM.mk;then echo RPM.mk;else echo /usr/include/a2e/rpm.mk;fi) rebuild all
repo:	tbz rpm
	make -f /usr/include/a2e/rpm.mk repo
rrepo:	ttbz rmbr rpm
	make -f /usr/include/a2e/rpm.mk repo
rlern:
	make -f /adv/mktdir/include/rpm.mk rlern	
rpm_install:	rpm
	make -f /usr/include/a2e/rpm.mk install
endif
endif

all:	pre_all main all_subdirs post_all
total:	clean pre_all total_subdirs main post_all

${CACHE}:	${PRE_CACHE}
	OUTFMTS="${OUTFMTS}" make_makefile_cache -v ${CONV}	
subdokdata all_subdirs total_subdirs dbput html mlht HM:
#	${CACHE}
	make -f /opt/a2e/include/${TMPLANG}/dok.mk $@
midmain:
	mldk -v main
dokdata dokdata_force:
	mldk -v dok
dbms:
	mldk -v dbms
main:	aktual pre_main mid_main post_main
pre_main:	${PRE_MAIN}
	@echo PRE_MAIN in defs is ${PRE_MAIN}
post_main:	${POST_MAIN}
	@echo POST_MAIN in defs is ${POST_MAIN}
dok:	main dokdata
rmain:	main
	svn commit -m "make rmain ${DOK}"
	DOKDIR=`dokdir`;ssh a2e.de make -C $$DOKDIR main && echo OK RMAIN
rdok:	dok
	svn commit -m "make rmain ${DOK}"
	DOKDIR=`dokdir`;ssh a2e.de make -C $$DOKDIR dok && echo OK DOK
rinstall:	install
	svn commit -m "make rmain ${DOK}"
	DOKDIR=`dokdir`;ssh a2e.de make -C $$DOKDIR install && echo OK RINSTALL
rmpag:
	rm -fv *.pag
ifdef BINSFX
BIN := ../$(shell basename $$PWD).${BINSFX}
${BIN}:	${MPX}top-${DOK}.${LANG0}.txt
	install -v $< $@
bin:	${BIN}
endif
ifdef PMBAS
TESTPMS := $(wildcard *Test.pm)
TESTLIBS := $(foreach pm,${TESTPMS},${PMBAS}::$(basename ${pm}))
PERLBINS := $(shell grep BINSFX */Makefile | cut -d '/' -f 1 | uniq)
test:	pre_test
	testunits -v ${TESTLIBS}
	for DIR in ${TESTSUBDIRS};do $(MAKE) -C $$DIR test || exit 1;done
define binrgl
${1}.pm:	$(wildcard ${1}/${MPX}???.*.txt)
	make -C ${1} mlht bin
endef
$(foreach bin,${PERLBINS},$(eval $(call binrgl,${bin})))
PERLBIN_OBJS := $(foreach bin,${PERLBINS},${bin}.pm)  
endif
tmpl:	${TMPL_OBJS} ${TTMK_OBJS} ${PERLBIN_OBJS}
pre_all pre_test:	org2o tmpl
#	${CACHE} tmpl
	make -f /opt/a2e/include/${TMPLANG}/dok.mk $@
post_all:
#	${CACHE}
	make -f /opt/a2e/include/${TMPLANG}/dok.mk $@
pre_install:	tmpl ${PRE_INSTALL}
	make -f /opt/a2e/include/install.mk $@
HM/index.html HM/date.html dlern:
	make -f /opt/a2e/include/multemp/dok.mk $@
	@echo TMPLANGS: ${TMPLANGS}
	@echo LANGS: ${LANGS}
	@echo CACHE: ${CACHE}
	@echo PRE_INSTALL: ${PRE_INSTALL}
instcom:	install
	svn commit -m 'make instcom ${DOK}'
rake:
	rake
#EOT
# file:/phm/24/07/06/sig/_lng.phm_pub_sig240706.txt::defs
