# -*- mode: makefile; coding: utf-8 -*-
# locale object generation macros for GNU Make

POS := $(wildcard *.po)
MOS := $(foreach po,${POS},$(basename $(po)).mo)

define po2mo
${1}.mo:	${1}.po
	msgfmt -cfv -o $$@ $$<
endef

$(foreach po,${POS},$(eval $(call po2mo,$(basename $(po)))))

ALL_EXTRA := ${ALL_EXTRA} ${MOS}
.PHONY:	mos
mos:	${MOS}

.PHONY:	mos
mos:	${MOS}

lcllern:
	@echo POS: ${POS}
	@echo MOS: ${MOS}
	@echo ALL_EXTRA: ${ALL_EXTRA}
