define pod2html_regul
$(basename $(1)).html:	$(1)
	pod2xhtml $(1) ${URL}/$(1)
endef
PERLBINS ?= $(wildcard *.pl)
PERLMODS ?= $(wildcard *.pm)
PODS ?= ${PERLBINS} ${PERLMODS}
POD_TARGETS := $(foreach pod,${PODS},$(basename $(pod)).html)

define dekrypt_regul
$(basename $(1)):	$(1)
	${GPG} $$<
endef

define dever_regul
$(basename $(1)):	$(1)
	cp -vf $$< $$@
endef

GPG := gpg --homedir ${GNUPGHOME}
GPGS := $(wildcard *.gpg)
ASCS := $(wildcard *.asc)
VERS := $(wildcard *.${OSVER})
gpgtarget = $(basename $(1))
GPG_TARGETS := $(foreach gpg,${GPGS} ${ASCS},$(basename $(gpg)))

LOCALEDIR ?= /usr/share/locale
locale_target = ${LOCALEDIR}/$(1)/LC_MESSAGES/$(2).mo

ALL_EXTRA := ${ALL_EXTRA} ${GPG_TARGETS}
CLEAN_EXTRA := ${CLEAN_EXTRA} ${GPG_TARGETS}

$(foreach pod,${PODS},$(eval $(call pod2html_regul,$(pod))))
$(foreach gpg,${GPGS},$(eval $(call dekrypt_regul,$(gpg))))
$(foreach ver,${VERS},$(eval $(call dever_regul,$(ver))))
