# -*- mode: makefile; srcfile:/adv/mktdir/include/mldbweb/dok.mk; coding: utf-8 -*-
# Time-stamp: <2009-05-18 16:27:26 phm>
# /opt/a2e/include/mldbweb/dok.mk, the part of /opt/a2e/include/defs.mk that uses a cache and depends on the output format language tmplang = mldbweb

TMPLANG = mldbweb
include a2e/user.mk
include Makefile.cache
include a2e/${TMPLANG}/conv.mk
LANGMK := /opt/a2e/include/${TMPLANG}/lang.mk
# readable = $(shell test -r $(1) && echo $(1))
# nonempty = $(shell test -s $(1) && echo $(1))

.PHONY:	main dokdata dokdata_force init_subdirs all_subdirs total_subdirs rmhm rehm
main:	${PRE_TARGETS} ${MAIN_TARGETS}
mid_main:	main
pre_all:	${PRE_TARGETS} ${PRE_ALL}
pre_test:	${PRE_TARGETS} ${PRE_TEST}
post_all:	${POST_ALL}
define index_regul
include Makefile.${1}.cache
PAG_${1} := $${PAG}
LNG_FAYLZ_${1} := $${LNG_FAYLZ}
LNG_FAYLZ_SRC_${1} := $${LNG_FAYLZ_SRC}
$${PAG_${1}}:	${PRE_LNG_FAYLZ} $${LNG_FAYLZ_SRC_${1}}
	txt2dbm -V lang=${1} $$(basename $$@) $${LNG_FAYLZ_${1}}
${DOK}.webpage.${1}.xml:	@dok.${DOK}.txt $${PAG_${1}} ${PRE_ALL}
	mlht -v -o $$@ --tf @var.${DOK}.mk --ts doctype=webpage,docbook_website_dir=${DOCBOOK_WEBSITE_DIR} ${MLHT_OPTS} --dok ${DOK} --lang ${1} $$<
${DOK}.article.${1}.xml:	@dok.${DOK}.txt $${PAG_${1}} ${PRE_ALL}
	mlht -v -o $$@ --tf @var.${DOK}.mk --ts doctype=article,docbook_website_dir=${DOCBOOK_WEBSITE_DIR} ${MLHT_OPTS} --dok ${DOK} --lang ${1} $$<
${DOK}.nav.${1}.txt:	@nav.${DOK}.txt $${PAG_${1}}
	mlht -v -o $$@ --tf @var.${DOK}.mk --ts lang=${1},dok=${dok},topdir=${TOPDIR} ${MLHT_OPTS} --dok ${DOK} --lang ${1} --doktyp nav $$<
${DOK}.nav.${1}.html:	${DOK}.nav.${1}.txt ${DOKSFILES} $(wildcard @*doks) $(wildcard */@grpdoks)
	dokdata2db --lang ${1}
	DOK=${DOK} LL=${1} STYLEDIR=${DOCBOOK_WEBSITE_DIR}/xsl STYLEDIR=${DOCBOOK_WEBSITE_DIR}/xsl make -f ${LANGMK} $$@
index.${1}.html:	${DOK}.webpage.${1}.xml ${DOK}.nav.${1}.html
	DOK=${DOK} LL=${1} STYLEDIR=${DOCBOOK_WEBSITE_DIR}/xsl make -f ${LANGMK} $$@
${DOK}.${1}.rtf:	${DOK}.article.${1}.xml
	DOK=${DOK} LL=${1} STYLEDIR=${DOCBOOK_WEBSITE_DIR}/xsl make -f ${LANGMK} $$@
${DOK}.${1}.odt:	${DOK}.article.${1}.xml
	DOK=${DOK} LL=${1} STYLEDIR=${DOCBOOK_WEBSITE_DIR}/xsl make -f ${LANGMK} $$@
${DOK}.${1}.pdf:	${DOK}.article.${1}.xml
	DOK=${DOK} LL=${1} STYLEDIR=${DOCBOOK_WEBSITE_DIR}/xsl make -f ${LANGMK} $$@
endef
$(foreach lang,${LANGS},$(eval $(call index_regul,${lang})))

dokdata:
	dokdata2db -v
	shopt -s nullglob;for F in */@grpdoks;do (cd $$(dirname $$F) && pwd && $(MAKE) $@);done
dokdata_force:
	dokdata2db -v --force
	shopt -s nullglob;for F in */@grpdoks;do (cd $$(dirname $$F) && pwd && $(MAKE) $@);done
init_subdirs:
	test -z "$(strip ${SUBDIRS})" || make dokdata
all_subdirs:	init_subdirs
	for D in $(strip ${SUBDIRS});do PRE_ALL=;PRE_LNG_FAYLZ=;$(MAKE) -C $$D all || exit 1;done
total_subdirs:	init_subdirs
	for D in $(strip ${SUBDIRS});do PRE_ALL=;PRE_LNG_FAYLZ=;$(MAKE) -C $$D total || exit 1;done
ifdef MDIR
${MBOX}:	${MDIR}/cur
	rm -f $@ && mdir2mbox -dir $< -output $@
endif
HM:	${MBOX}
	lang_hypermail '$(word 1,${LANGS})' -p -c /adv/hypermail/rc -l '${DOK}' -m '$<' -d $@ -b '${URL}'
MH:
	mkdir $@
MH/index.html:	MH ${MBOX}
	mhonarc -outdir $^
dlern:
	echo ${TMPL_OBJS}
${PRE_ALL}:
	@echo in $(CURDIR) make -f Makefile $@ ?
ifdef DEBUG
.DEFAULT:
	@echo in a2e/${TMPLANG}/dok.mk ignoring unknown target $@
endif
