# -*- coding: utf-8; mode: makefile; srcfile: /adv/mktdir/include/mldbweb/lang.mk -*-
# Time-stamp: <2009-03-06 16:07:01 phm>
# gnu make macros for generating documentation from monolingual docbook source

LL ?= ${LANG}
CONV := xsltproc
STYLEDIR ?= $(wildcard /usr/share/xml/docbook/custom/website/?.?.?/xsl)
TABSTYLE :=  ${STYLEDIR}/tabular.xsl
WEBSTYLE :=  ${STYLEDIR}/website.xsl
TABCHUNK :=  ${STYLEDIR}/chunk-tabular.xsl
WEBCHUNK :=  ${STYLEDIR}/chunk-website.xsl
AUTOLAYOUT := ${STYLEDIR}/autolayout.xsl 
STYLESHEET := ${WEBSTYLE}
STYLECHUNK := ${WEBCHUNK}
STYLEOPT := --stringparam output-root .
DOCBOOK_DSL := /usr/share/sgml/docbook/docbook-dsssl-stylesheets/print/docbook.dsl
DOCBOOK_XSL := /usr/share/xml/docbook/stylesheet/nwalsh/current/fo/docbook.xsl

index.${LL}.html:	${DOK}.nav.${LL}.html ${DOK}.webpage.${LL}.xml
	${CONV} --output $@ ${STYLEOPT} ${STYLESHEET} $(word 2,$^)
${DOK}.nav.${LL}.html:	${DOK}.nav.${LL}.txt
	${CONV} --output $@ ${AUTOLAYOUT} $<
${DOK}.${LL}.odt:	${DOK}.article.${LL}.xml
	rm -f $@
	docbook2odf -o $@ $<
${DOK}.${LL}.rtf:	${DOK}.article.${LL}.xml
	SP_ENCODING=utf-8 openjade -t rtf -d ${DOCBOOK_DSL} -o $@ $<
${DOK}.${LL}.fo:	${DOK}.article.${LL}.xml
	fop -xml $< -xsl ${DOCBOOK_XSL} -param paper.type A4 -foout $@
${DOK}.${LL}.pdf:	${DOK}.${LL}.fo
	fop $< -pdf $@
distclean: clean
	rm -f ${DOK}.nav.${LL}.html ${DOK}.nav.${LL}.xml website.database.xml
all:	index.${LL}.html ${DOK}.${LL}.odt ${DOK}.${LL}.rtf ${DOK}.${LL}.pdf
#EOT
