# -*- mode: makefile; coding: utf-8 -*-
# the part of /opt/a2e/include/defs.mk that uses a cache and depends on the output format language tmplang = mulatex

SHELL = /bin/bash
TMPLANG = mulatex
include a2e/hostsyskonfig.mk
include Makefile.mulatex.cache
LANGMK := /opt/a2e/include/${TMPLANG}/lang.mk
# DOKSROW_HTML_TMPL ?= /opt/a2e/share/tmpl/${TMPLANG}/a2e_doksrow_html_tmpl.txt
TEX_TMPL ?= /opt/a2e/share/tmpl/a2e_tex_tmpl.txt
# readable = $(shell test -r $(1) && echo $(1))
# nonempty = $(shell test -s $(1) && echo $(1))
ifndef MPX
MPX := $(shell srcfpfx)
endif
.PHONY:	mid_main main mlht dokdata dokdata_force subdokdata init_subdirs all_subdirs total_subdirs pre_all post_all dbms
main:	${PRE_TARGETS} ${MAIN_TARGETS} ${POST_TARGETS}
html:	${PRE_TARGETS} $(filter %.html,${MAIN_TARGETS}) ${POST_TARGETS}
mlht:	${MLHT_TARGETS}
mid_main:	main
pre_all:	${PRE_TARGETS} ${PRE_ALL}
pre_test:	${PRE_TARGETS} ${PRE_TEST}
post_all:	${POST_ALL}
define index_regul
include Makefile.${1}.cache
ifdef LNG
PAG_${1} := $${PAG}
LNG_FAYLZ_${1} := $${LNG_FAYLZ}
LNG_FAYLZ_SRC_${1} := $${LNG_FAYLZ_SRC}
$${PAG_${1}}:	${PRE_LNG_FAYLZ} $${LNG_FAYLZ_SRC_${1}}
	txt2dbm -v --lang ${1} `basename $$@` $${LNG_FAYLZ_${1}}
	dokdata2db --lang ${1}
endif
${DOK}.${1}.tex:	${MPX}dok.${DOK}.txt
	mlht -v -o $$@ --ts mode=fundamental --tf ${MPX}var.${DOK}.mk ${MLHT_OPTS} --dok ${DOK} --lang ${1} $$<
ifdef LATEX_PREPROC
	${LATEX_PREPROC} $$@;
endif
${DOK}.${1}.pdf:	${DOK}.${1}.tex
	B=${DOK}.${1};if pdflatex $$B;then test -f $$B.lta && pdflatex $$B;while tail -n 20 $$B.log | grep -w references && pdflatex $$B;do eval;done;fi;
#	DOK=${DOK} LL=${1} TOPDOK=${TOPDOK} TOPDIR=${TOPDIR} make -f ${LANGMK} $$@
endef

define var_index_regul
include a2e/${TMPLANG}/dok.${1}.mk
endef

$(foreach lang,${LANGS},$(eval $(call index_regul,${lang})))
$(foreach lang,${VARLANGS},$(eval $(call var_index_regul,${lang})))
${DOK}.tex:	${MPX}pre.${DOK}.txt ${TEX_TMPL}
	tmplfil -o $@ --ts programlang=tex --tf /usr/include/a2e/site_makefile_cache.mk --tf $^
.htaccess:	${HTACCESS_TMPL}
	tmplfil -o $@ --ts sig=${HTA_SIG},org=${HTA_ORG},nom=${DOK} $^
PAGS := $(foreach lang,${LANGS},${MPX}lng.${DOK}.${lang}.txt.pag)
dokdata:	${PAGS}
	dokdata2db -v
dokdata_force:
	dokdata2db -v --force
subdokdata:	dokdata
	subdirs | while read D;do (cd $$D && dokdata2db -v);done
init_subdirs:
	test -z "$(strip ${SUBDIRS})" || make dokdata
all_subdirs:	init_subdirs
	for D in $(strip ${SUBDIRS});do PRE_ALL=;PRE_LNG_FAYLZ=;test ! -d $$D || $(MAKE) -C $$D all || exit 1;done
total_subdirs:	init_subdirs
	for D in $(strip ${SUBDIRS});do PRE_ALL=;PRE_LNG_FAYLZ=;test ! -d $$D || $(MAKE) -C $$D total || exit 1;done
dlern:
	@echo MDIR_NEW ${MDIR_NEW}
	@echo TMPL_OBJS: ${TMPL_OBJS}
	@echo PRE_ALL: ${PRE_ALL}
	@echo CURDIR: ${CURDIR}
	@echo MPX: ${MPX}
	@echo MDIR: ${MDIR}
	@echo MBOX: ${MBOX}
	@echo MDIRTBZ: ${MDIRTBZ}

ifdef DEBUG
.DEFAULT:
	@echo in dok.mk ignoring unknown target $@
endif
