# -*- mode: makefile; srcfile:/adv/mktdir/include/multemp/dok.tmpl; coding: utf-8 -*-
# the part of /opt/a2e/include/defs.mk that uses a cache and depends on the output format language tmplang = multemp

SHELL = /bin/bash
TMPLANG = multemp
include Makefile.cache
include a2e/user.mk
include a2e/${TMPLANG}/conv.mk
LANGMK := /opt/a2e/include/${TMPLANG}/lang.mk
# DOKSROW_HTML_TMPL ?= /opt/a2e/share/tmpl/${TMPLANG}/a2e_doksrow_html_tmpl.txt
NEWS_HTML_TMPL ?= /opt/a2e/share/tmpl/${TMPLANG}/a2e_news_html_tmpl.txt
NEWS_RSS_TMPL ?= /opt/a2e/share/tmpl/a2e_news_rss_tmpl.txt
SITEMAP_TMPL ?= /opt/a2e/share/tmpl/a2e_sitemap_tmpl.txt
SITEMAP_INDEX_TMPL ?= /opt/a2e/share/tmpl/a2e_sitemap_index_tmpl.txt
CSS_TMPL ?= /opt/a2e/share/tmpl/a2e_css_tmpl.txt
XHTML_TMPL ?= /opt/a2e/share/tmpl/a2e_xhtml_tmpl.txt
TEX_TMPL ?= /opt/a2e/share/tmpl/a2e_tex_tmpl.txt
DBA_TMPL ?= /opt/a2e/share/tmpl/a2e_dba_tmpl.txt
HTACCESS_TMPL ?= /opt/a2e/share/tmpl/a2e_htaccess_tmpl.txt
# readable = $(shell test -r $(1) && echo $(1))
# nonempty = $(shell test -s $(1) && echo $(1))
MPX ?= $(shell srcfpfx)
# MBOX ?= ${DOK}.mbox
ifndef MDIRTBZ
MDIRTBZ := $(shell test -e ../mbox/${DOK}.tbz && echo ../mbox/${DOK}.tbz)
endif
ifdef MDIRTBZ
MDIR := ../mbox/${DOK}
endif
ifndef MDIR
MDIR := $(shell test -d ../mbox/${DOK} && echo ../mbox/${DOK})
endif
ifdef MDIR
MDIR_NEW := $(shell shopt -s nullglob;ls -t ${MDIR}/new/*[^~,] ${MDIR}/cur/*[^~,] ${MDIR} | head -n 1)
MBOX := ../mbox/${DOK}.mbox
endif
ifndef MBOX
MBOX := $(shell test -e ../mbox/${DOK}.mbox && echo ../mbox/${DOK}.mbox)
endif

.PHONY:	mid_main main mlht dokdata dokdata_force subdokdata init_subdirs all_subdirs total_subdirs pre_all post_all dbms
main:	${PRE_TARGETS} ${MAIN_TARGETS} ${POST_TARGETS}
html:	${PRE_TARGETS} $(filter %.html,${MAIN_TARGETS}) ${POST_TARGETS}
mlht:	${MLHT_TARGETS}
mid_main:	main
pre_all:	${PRE_TARGETS} ${PRE_ALL}
pre_test:	${PRE_TARGETS} ${PRE_TEST}
post_all:	${POST_ALL}
define index_regul
include Makefile.${1}.cache
ifdef LNG
PAG_${1} := $${PAG}
LNG_FAYLZ_${1} := $${LNG_FAYLZ}
LNG_FAYLZ_SRC_${1} := $${LNG_FAYLZ_SRC}
$${PAG_${1}}:	${PRE_LNG_FAYLZ} $${LNG_FAYLZ_SRC_${1}}
	txt2dbm -v --lang ${1} `basename $$@` $${LNG_FAYLZ_${1}}
	dokdata2db --lang ${1}
endif
ifdef DOKSROW_HTML_TMPL
${DOK}.nav.${1}.html:	${MPX}nav.${DOK}.txt $${PAG_${1}} ${DOKSFILES} $(wildcard ${MPX}*doks) $(wildcard */${MPX}grpdoks) pre_all
	mlht -v -o $$@ --ts mode=html --tf ${MPX}pre.${DOK}.txt ${MLHT_OPTS} --dok ${DOK} --lang ${1} --doktyp nav $$<
${DOK}.doksrow.${1}.html:	${DOKSROW_HTML_TMPL} ${DOK}.nav.${1}.html
	mlht -v -o $$@ --ts mode=html --tf ${MPX}var.${DOK}.mk ${MLHT_OPTS} --dok ${DOK} --lang ${1} --doktyp doksrow $$<
else
${DOK}.nav.${1}.txt:	${MPX}nav.${DOK}.txt $${PAG_${1}} ${DOKSFILES} $(wildcard ${MPX}*doks) $(wildcard */${MPX}grpdoks) pre_all
	mlht -v -o $$@ --tf ${MPX}pre.${DOK}.txt ${MLHT_OPTS} --dok ${DOK} --lang ${1} --doktyp nav $$<
${DOK}.nav.${1}.html:	${DOK}.nav.${1}.txt
	nav2html -o $$@ ${NAV2HTML_OPTS} $$<
${DOK}.doksrow.${1}.html:	${DOK}.nav.${1}.html
	makedoksrow -o $$@ ${DOK} ${1}
endif
${MPX}top-${DOK}.${1}.txt:	${MPX}dok.${DOK}.txt ${DOK}.doksrow.${1}.html
	mlht -v -o $$@ --ts mode=fundamental --tf ${MPX}var.${DOK}.mk ${MLHT_OPTS} --dok ${DOK} --lang ${1} $$<
ifdef NEWS_OPTS
${DOK}.news.${1}.html:	${NEWS_HTML_TMPL} ${MPX}dok.${DOK}.txt
	news_tmplfil $${NEWS_OPTS} --lang ${1} -o $$@ $$<
${DOK}.news.${1}.rss:	${NEWS_RSS_TMPL} ${MPX}dok.${DOK}.txt
	news_tmplfil $${NEWS_OPTS} --lang ${1} -o $$@ $$<
endif
index.${1}.html:	${MPX}top-${DOK}.${1}.txt
	DOK=${DOK} LL=${1} TOPDOK=${TOPDOK} TOPDIR=${TOPDIR} make -f ${LANGMK} $$@
${DOK}.${1}.pdf:	${MPX}top-${DOK}.${1}.txt
	DOK=${DOK} LL=${1} TOPDOK=${TOPDOK} TOPDIR=${TOPDIR} make -f ${LANGMK} $$@
${DOK}.${1}.xml:	${MPX}top-${DOK}.${1}.txt
	DOK=${DOK} LL=${1} TOPDOK=${TOPDOK} TOPDIR=${TOPDIR} make -f ${LANGMK} $$@
${DOK}.${1}.odf:	${DOK}.${1}.xml
	DOK=${DOK} LL=${1} TOPDOK=${TOPDOK} TOPDIR=${TOPDIR} make -f ${LANGMK} $$@
${DOK}.${1}.rtf:	${MPX}top-${DOK}.${1}.txt
	DOK=${DOK} LL=${1} TOPDOK=${TOPDOK} TOPDIR=${TOPDIR} make -f ${LANGMK} $$@
${DOK}.${1}.html:	${MPX}top-${DOK}.${1}.txt
	DOK=${DOK} LL=${1} TOPDOK=${TOPDOK} TOPDIR=${TOPDIR} make -f ${LANGMK} $$@
${DOK}.${1}.txt:	${MPX}top-${DOK}.${1}.txt
	DOK=${DOK} LL=${1} TOPDOK=${TOPDOK} TOPDIR=${TOPDIR} make -f ${LANGMK} $$@
endef

define var_index_regul
include a2e/${TMPLANG}/dok.${1}.mk
endef

$(foreach lang,${LANGS},$(eval $(call index_regul,${lang})))
$(foreach lang,${VARLANGS},$(eval $(call var_index_regul,${lang})))
dbms:	$(foreach lang,${LANGS},_lng.${DOK}.${lang}.txt.pag)
sitemap.xml:	${SITEMAP_TMPL} ${MPX}dok.${DOK}.txt
	sitemap_tmplfil -o $@ $<
sitemap.xml.gz:	sitemap.xml
	gzip -fv < $< > $@
sitemap_index.xml:	${SITEMAP_INDEX_TMPL} ${MPX}dok.${DOK}.txt
	sitemap_tmplfil -o $@ $<
sitemap_index.xml.gz:	sitemap_index.xml
	gzip -fv < $< > $@
${DOK}.css:	${MPX}pre.${DOK}.txt ${CSS_TMPL}
	tmplfil -o $@ --ts programlang=css --tf $^
${DOK}.xhtml:	${MPX}pre.${DOK}.txt	${XHTML_TMPL}
	tmplfil -o $@ --ts programlang=xhtml --tf $^
${DOK}.tex:	${MPX}pre.${DOK}.txt ${TEX_TMPL}
	tmplfil -o $@ --ts programlang=tex --tf /usr/include/a2e/site_makefile_cache.mk --tf $^
${DOK}.dba:	${MPX}pre.${DOK}.txt ${DBA_TMPL}
	tmplfil -o $@ --ts programlang=xml --tf $^
.htaccess:	${HTACCESS_TMPL}
	tmplfil -o $@ --ts sig=${HTA_SIG},org=${HTA_ORG},nom=${DOK} $^
PAGS := $(foreach lang,${LANGS},${MPX}lng.${DOK}.${lang}.txt.pag)
dokdata:	${PAGS}
	dokdata2db -v
dokdata_force:
	dokdata2db -v --force
subdokdata:	dokdata
	subdirs | while read D;do (cd $$D && dokdata2db -v);done
init_subdirs:
	test -z "$(strip ${SUBDIRS})" || make dokdata
all_subdirs:	init_subdirs
	for D in $(strip ${SUBDIRS});do PRE_ALL=;PRE_LNG_FAYLZ=;test ! -d $$D || $(MAKE) -C $$D all || exit 1;done
total_subdirs:	init_subdirs
	for D in $(strip ${SUBDIRS});do PRE_ALL=;PRE_LNG_FAYLZ=;test ! -d $$D || $(MAKE) -C $$D total || exit 1;done
dbput:	${DOK}.${LANG0}.txt
ifdef MDIRTBZ
${MDIR}:	${MDIRTBZ}
	cd ../mbox && tar xjvf $<
endif
ifdef MDIR
${MBOX}:	${MDIR}
	rm -fv ${MBOX} && mdir2mbox ${MDIR} ${MBOX}
endif
ifdef MBOX
HM HM/index.html HM/date.html:	${MBOX}
	lang_hypermail '$(firstword ${LANGS})' -p -c /adv/hypermail/rc -l '${DOK}' -m ${MBOX} -d HM -b '${URL}'
MH:
	mkdir $@
MH/index.html:	MH ${MBOX}
	mhonarc -outdir $^
endif
dlern:
	@echo MDIR_NEW ${MDIR_NEW}
	@echo TMPL_OBJS: ${TMPL_OBJS}
	@echo PRE_ALL: ${PRE_ALL}
	@echo CURDIR: ${CURDIR}
	@echo MPX: ${MPX}
	@echo MDIR: ${MDIR}
	@echo MBOX: ${MBOX}
	@echo MDIRTBZ: ${MDIRTBZ}

ifdef DEBUG
.DEFAULT:
	@echo in dok.mk ignoring unknown target $@
endif
