# -*- coding: utf-8; mode: makefile; srcfile: /adv/mktdir/include/multemp/lang.mk.tmpl -*-
# gnu make macros for generating documentation from monolingual deplate source

SHELL = /bin/bash
LL ?= ${LANG}
LPFX = lang-
DEPLATE_BIN ?= deplate2.0
# deplate package lang-de.rb no longer works
LANG_OPTS =
CIREM := $(shell dbmvals --lang ${LL} cirem)
ifndef ODF_PARAMS
ODF_PARAMS = generate.meta=0
endif
CIREM := $(shell dbmvals cirem)
MPX ?= @

index.${LL}.html:	${MPX}top-${DOK}.${LL}.txt
	${DEPLATE_BIN} ${XHTML_OPTS} -o $@ ${CONV_OPTS} ${LANG_OPTS} $<
${DOK}.${LL}.tex:	${MPX}top-${DOK}.${LL}.txt
	${DEPLATE_BIN} ${LATEX_OPTS} -o $@ ${CONV_OPTS} ${LANG_OPTS} $<
ifdef LATEX_PREPROC
	${LATEX_PREPROC} $@;
endif
	rm -f ./deplate.sty
${DOK}.${LL}.pdf:	${DOK}.${LL}.tex
	B=${DOK}.${LL};if pdflatex $$B;then test -f $$B.lta && pdflatex $$B;while tail -n 20 $$B.log | grep -w references && pdflatex $$B;do eval;done;fi;
ifndef EDIT_DOCBOOK
${DOK}.${LL}.xml:	${MPX}top-${DOK}.${LL}.txt
	${DEPLATE_BIN} ${DOCBOOK_OPTS} -o $@ ${CONV_OPTS} ${LANG_OPTS} $<
endif
${DOK}.${LL}.odf:	${DOK}.${LL}.xml
	docbook2odf -f --verbose --params 'CI.text.copyright="${CIREM}",${ODF_PARAMS}' -o $@ $<
${DOK}.${LL}.rtf:	${DOK}.${LL}.xml
	SP_ENCODING=utf-8 openjade -t rtf -d ${DOCBOOK_DSL} -o $@ $<

${DOK}.${LL}.html:	${MPX}top-${DOK}.${LL}.txt
	${DEPLATE_BIN} ${HTMSNIP_OPTS} -o $@ ${CONV_OPTS} ${LANG_OPTS} $<

${DOK}.${LL}.txt:	${MPX}top-${DOK}.${LL}.txt
	${DEPLATE_BIN} ${PLAIN_OPTS} -o $@ ${CONV_OPTS} ${LANG_OPTS} $<

all:	index.${LL}.html ${DOK}.${LL}.pdf ${DOK}.${LL}.xml ${ALL_EXTRA}

${DOK}.kal.${LL}.html:	${DOK}.${LL}.ics
	konsolekalendar --file $< --all --date 2006-11-01 --export-type HTMLmonth --export-file $@
#EOT
