# Time-stamp: <2019-06-06 12:09:15 phm> 

## preset the following variables
# SIG = tmp2
# DOK = srizU1
# AA = 17
# MM = 01
# LANGS = de
## more on usage cf /sig/adv/17/01/sigtmp/_lng.adv_sigtmp1701.txt

export OUTFMTS = html
export TMPLANG = multemp
# PRE_SIGTMP = FILES.txt
DIR := /sig/oas/${AA}/${MM}/${DOK}
PRE_MAIN := submain $(foreach lng,${LANGS},/sig/${SIG}/index.${lng}.html) /sig/${SIG}/${SIG}_pass /sig/${SIG}/.htaccess
OLD_LINK := $(shell perl -e 'print readlink "/sig/${SIG}/tra"')
NOV_LINK := ${DIR}/tra
POST_MAIN = tramain
include a2e/defs.mk
.PHONY:	main submain rmain rpass tramain signdx
define lng_mkndx
/sig/${SIG}/index.${1}.html:	${PRE_SIGTMP} _pre.${DOK}.txt _lng.${DOK}.txt _lng.${DOK}.${1}.txt ${DOK}.sig_${SIG}.txt
	mldk -v dbms
	mlht -v -o $$@ --tml html --ts mode=html,lang=${1},dok=${DOK} --lang ${1} ${DOK}.sig_${SIG}.txt 
endef
signdx:	$(foreach lng,${LANGS},/sig/${SIG}/index.${lng}.html)
$(foreach lng,${LANGS},$(eval $(call lng_mkndx,${lng})))
submain:
	cd /sig/${SIG} && if test "${OLD_LINK}" == "${NOV_LINK}";then echo ${OLD_LINK} same as ${NOV_LINK};else rm -fv tra index.??.html;ln -sv ${NOV_LINK} .;fi;
#	cf /phm/18/02/04/sig/_lng.phm_pub_sig180204.txt dok:phm_pub_sig180204.rmndx
#	cd tra && { make rmcache main;find -name .htaccess -exec svn del --force {} ';';svn ci -m "make $@"; };
tramain:
	cd tra && mldk main
${SIG}_pass:
	echo ${DOK} > $@
/srv/www/auth/auth_user_a2e_${SIG}:	${SIG}_pass
	sudo htpasswd2 -bc $@ ${SIG} `cat $<`
/sig/${SIG}/${SIG}_pass:	${SIG}_pass  /srv/www/auth/auth_user_a2e_${SIG}
	sudo htpasswd2 -b /srv/www/auth/auth_user_a2e_${SIG} ${SIG} `cat $<`
	install -v $< $@
	echo "${SIG}|${DOK}|${LANGS}|${DIR}/${DOK}.sig_${SIG}.txt|" >> /sig/tmplast.txt
.htaccess:	/sig/htaccess_tmpl.txt
	tmplfil --ts SIG=${SIG} -o $@ $<
/sig/${SIG}/.htaccess:	.htaccess
	sudo install -o apache -g apache -v $< $@
# rpass:	/sig/${SIG}/${SIG}_pass
#	scp ${SIG}_pass a2e.de:${DIR}
#	ssh a2e.de sudo htpasswd2 -b /srv/www/auth/auth_user_a2e_${SIG} ${SIG} `cat $<`
#	ssh a2e.de make -C ${DIR} $<
lern:
	@echo DIR: ${DIR}
	@echo OLD_LINK: ${OLD_LINK}
	@echo NOV_LINK: ${NOV_LINK}
	@echo PRE_MAIN: ${PRE_MAIN}
# Local Variables:
# coding: utf-8
# mode: makefile
# srcfile: "/adv/mktdir/include/oas/sigtmp.mk"
# End:
