# -*- mode: Makefile; coding: utf-8 -*-
# create, update and document an rpm repository using zypper and createrepo
# to be included by a REPO.mk file such as /adv/pak/REPO.mk or /sig/adv/REPO.mk, which defines REPO, REPODIR and DIR

.PHONY:	update install new create sign addrepo
GNUPGHOME ?= /.gnupg
SIGN := gpg --detach-sign -a
USER := $(shell whoami)
# SIGN := a2e_pgp --sign -abv
ifeq (${OSVER},suse10_3)
ZYPFIND := sudo zypper -v search -r ${REPO}
else
ZYPFIND := LANG=C sudo zypper -v search -s -r ${REPO}
endif
update:
	createrepo --update --verbose .
sign:
	cd repodata && sudo rm -fv repomd.xml.asc && ${SIGN} repomd.xml
install:	update sign
	sudo zypper refresh ${REPO}
	test -n "${DIR}" && cd ${DIR} && ${ZYPFIND} | tee ${REPO}_repo.zyp
create:
	sudo createrepo --verbose .
addrepo:
	sudo zypper -v ar ${REPODIR} ${REPO}
new:	create sign
#EOF
