# -*- mode: Makefile; coding: utf-8 -*-

.PHONY:	lern all clean pre_lern

PAKDIRS := $(foreach dir,${SUBDIRS},${PAV}/$(dir))
OBJDIRS := ${OBJDIRS} ${BINDIR} ${SBNDIR} ${LIBDIR} ${ETCDIR} ${TPLDIR} ${LCLDIR}
BLDVARS := BINDIR=${BINDIR},SBNDIR=${SBNDIR},LIBDIR=${LIBDIR},ETCDIR=${ETCDIR},FLPDIR=${FLPDIR},TPLDIR=${TPLDIR},LCLDIR=${LCLDIR},USERS=${USERS},SUBDIRS=${SUBDIRS}
TBZDIR = /ul/tbz

$(foreach src,${DOCSRCS},$(eval $(call docrgl,$(src))))
$(foreach src,${BINSRCS},$(eval $(call binrgl,$(src))))
$(foreach src,${SBNSRCS},$(eval $(call sbnrgl,$(src))))
$(foreach src,${LIBSRCS},$(eval $(call librgl,$(src))))
$(foreach src,${ETCSRCS},$(eval $(call etcrgl,$(src))))
$(foreach src,${TPLSRCS},$(eval $(call tplrgl,$(src))))
$(foreach src,${FLPSRCS},$(eval $(call flprgl,$(src))))
$(foreach src,${HOMSRCS},$(eval $(call homrgl,$(src))))
$(foreach src,${LCLSRCS},$(eval $(call lclrgl,$(src))))
$(foreach src,${CRONSRCS},$(eval $(call cronrgl,$(src))))

ifdef DOCSRCS
DOCTOKS := $(foreach src,${DOCSRCS},$(call doctok,$(src)))
DOCPAKS := $(foreach tok,${DOCTOKS},$(call docpak,$(tok)))
DOCOBJS := $(foreach tok,${DOCTOKS},$(call docobj,$(tok)))
endif

ifdef BINSRCS
BINTOKS := $(foreach src,${BINSRCS},$(call bintok,$(src)))
BINPAKS := $(foreach tok,${BINTOKS},$(call binpak,$(tok)))
BINOBJS := $(foreach tok,${BINTOKS},$(call binobj,$(tok)))
endif

ifdef SBNSRCS
SBNTOKS := $(foreach src,${SBNSRCS},$(call sbntok,$(src)))
SBNPAKS := $(foreach tok,${SBNTOKS},$(call sbnpak,$(tok)))
SBNOBJS := $(foreach tok,${SBNTOKS},$(call sbnobj,$(tok)))
endif

ifdef LIBSRCS
LIBTOKS := $(foreach src,${LIBSRCS},$(call libtok,$(src)))
LIBPAKS := $(foreach src,${LIBSRCS},$(call libpak,$(src)))
LIBOBJS := $(foreach src,${LIBSRCS},$(call libobj,$(src)))
endif

ifdef ETCSRCS
ETCTOKS := $(foreach src,${ETCSRCS},$(call etctok,$(src)))
ETCPAKS := $(foreach src,${ETCSRCS},$(call etcpak,$(src)))
ETCOBJS := $(foreach src,${ETCSRCS},$(call etcobj,$(src)))
endif

ifdef TPLSRCS
TPLTOKS := $(foreach src,${TPLSRCS},$(call tpltok,$(src)))
TPLPAKS := $(foreach src,${TPLSRCS},$(call tplpak,$(src)))
TPLOBJS := $(foreach src,${TPLSRCS},$(call tplobj,$(src)))
endif

ifdef FLPSRCS
FLPTOKS := $(foreach src,${FLPSRCS},$(call flptok,$(src)))
FLPPAKS := $(foreach src,${FLPSRCS},$(call flppak,$(src)))
FLPOBJS := $(foreach src,${FLPSRCS},$(call flpobj,$(src)))
endif

ifdef HOMSRCS
HOMTOKS := $(foreach src,${HOMSRCS},$(call homtok,$(src)))
HOMPAKS := $(foreach src,${HOMSRCS},$(call hompak,$(src)))
HOMOBJS := $(foreach src,${HOMSRCS},$(call homobj,$(src)))
endif

ifdef LCLSRCS
LCLTOKS := $(foreach src,${LCLSRCS},$(call lcltok,$(src)))
LCLPAKS := $(foreach src,${LCLSRCS},$(call lclpak,$(src)))
LCLOBJS := $(foreach src,${LCLSRCS},$(call lclobj,$(src)))
endif

ifdef CRONSRCS
CRONTOKS := $(foreach src,${CRONSRCS},$(call crontok,$(src)))
CRONPAKS := $(foreach src,${CRONSRCS},$(call cronpak,$(src)))
CRONOBJS := $(foreach src,${CRONSRCS},$(call cronobj,$(src)))
endif

TOKS := ${TOKS} ${BINTOKS} ${SBNTOKS} ${LIBTOKS} ${ETCTOKS} ${TPLTOKS} ${FLPTOKS} ${HOMTOKS} ${LCLTOKS} ${DOCTOKS} ${CRONTOKS}
SRCS := ${SRCS} ${BINSRCS} ${SBNSRCS} ${LIBSRCS} ${ETCSRCS} ${TPLSRCS} ${FLPSRCS} ${HOMSRCS} ${LCLSRCS} ${DOCSRCS} ${CRONSRCS}
PAKS := ${PAKS} ${BINPAKS} ${SBNPAKS} ${LIBPAKS} ${ETCPAKS} ${TPLPAKS} ${FLPPAKS} ${HOMPAKS} ${LCLPAKS} ${DOCPAKS} ${CRONPAKS}
OBJS := ${OBJS} ${BINOBJS} ${SBNOBJS} ${LIBOBJS} ${ETCOBJS} ${TPLOBJS} ${FLPOBJS} ${HOMOBJS} ${LCLOBJS} ${CRONOBJS}
# do not put DOCOBJS into OBJS, use rpm macro %doc in spec file instead

${PAKDIRS}:
	mkdir -p $@
${PAV}/Makefile:	TBZ.mk ${PAKDIRS}
	tmplfil --tf PAK.mk --ts "${BLDVARS}" -o $@ $(shell if test -r BLD.mk;then echo BLD.mk;else echo /opt/a2e/share/tmpl/bld_tmpl.txt;fi)
${PAV}/FILES:	${PAV}/Makefile ${PAKS}
	for F in ${OBJS};do echo $$F;done | sort -u > $@
${TBZDIR}/${PAV}.tar.bz2:	${PAV}/FILES
	tar cjv -X /adv/pak/NoCopy -f $@ ${PAV}
${PAV}.tar.bz2:	${TBZDIR}/${PAV}.tar.bz2
	make aktual
	rm -f $@ && ln -s ${TBZDIR}/${PAV}.tar.bz2 $@;
	svn_add_commit $@
${PAK}.tar.bz2:	${PAV}.tar.bz2
	rm -f $@ && ln -s $< $@
	svn_add_commit $@
all:	${PRE_TBZ} ${PAK}.tar.bz2


clean:
	rm -fr ${PAV}
	rm -fv ${TBZDIR}/${PAV}.tar.bz2 ${PAV}.tar.bz2
lern:	pre_lern
	@echo PAKDIRS: ${PAKDIRS}
	@echo OBJDIRS: ${OBJDIRS}
	@echo SUBDIRS: ${SUBDIRS}
	@echo BLDVARS: ${BLDVARS}
ifdef BINOBJS
	@echo BINSRCS: ${BINSRCS}
	@echo BINTOKS: ${BINTOKS}
	@echo BINPAKS: ${BINPAKS}
	@echo BINOBJS: ${BINOBJS}
endif
ifdef SBNOBJS
	@echo SBNSRCS: ${SBNSRCS}
	@echo SBNTOKS: ${SBNTOKS}
	@echo SBNPAKS: ${SBNPAKS}
	@echo SBNOBJS: ${SBNOBJS}
endif
ifdef LIBOBJS
	@echo LIBSRCS: ${LIBSRCS}
	@echo LIBPAKS: ${LIBPAKS}
	@echo LIBOBJS: ${LIBOBJS}
endif
ifdef ETCOBJS
	@echo ETCTOKS: ${ETCTOKS}
	@echo ETCSRCS: ${ETCSRCS}
	@echo ETCPAKS: ${ETCPAKS}
	@echo ETCOBJS: ${ETCOBJS}
endif
ifdef TPLOBJS
	@echo TPLTOKS: ${TPLTOKS}
	@echo TPLSRCS: ${TPLSRCS}
	@echo TPLPAKS: ${TPLPAKS}
	@echo TPLOBJS: ${TPLOBJS}
endif
ifdef FLPOBJS
	@echo FLPTOKS: ${FLPTOKS}
	@echo FLPSRCS: ${FLPSRCS}
	@echo FLPPAKS: ${FLPPAKS}
	@echo FLPOBJS: ${FLPOBJS}
endif
ifdef HOMOBJS
	@echo HOMSRCS: ${HOMSRCS}
	@echo HOMTOKS: ${HOMTOKS}
	@echo HOMPAKS: ${HOMPAKS}
	@echo HOMOBJS: ${HOMOBJS}
endif
ifdef DOCOBJS
	@echo DOCSRCS: ${DOCSRCS}
	@echo DOCTOKS: ${DOCTOKS}
	@echo DOCPAKS: ${DOCPAKS}
	@echo DOCOBJS: ${DOCOBJS}
endif
ifdef LCLOBJS
	@echo LCLSRCS: ${LCLSRCS}
	@echo LCLTOKS: ${LCLTOKS}
	@echo LCLPAKS: ${LCLPAKS}
	@echo LCLOBJS: ${LCLOBJS}
endif
ifdef CRONOBJS
	@echo CRONSRCS: ${CRONSRCS}
	@echo CRONTOKS: ${CRONTOKS}
	@echo CRONPAKS: ${CRONPAKS}
	@echo CRONOBJS: ${CRONOBJS}
endif
	@echo SRCS: ${SRCS}
	@echo TOKS: ${TOKS}
	@echo PAKS: ${PAKS}
	@echo OBJS: ${OBJS}
