# -*- coding: utf-8; mode: makefile; srcfile: /adv/mktdir/include/tbzpre.mk -*-

ifndef ARCHLIBDIR
include a2e/hostsyskonfig.mk
endif
ifndef VER
include PAK.mk
endif
PAV ?= ${PAK}-${VER}
ifndef sysconfdir
include a2e/dirs.mk
endif

ETCDIR ?= ${sysconfdir}
BINDIR ?= ${bindir}
SBNDIR ?= ${sbindir}
TPLDIR ?= ${tmpldir}
LIBDIR ?= ${VENDOR_PERL_DIR}
FLPDIR ?= ${fillup_dir}
DOCDIR ?= ${docdir}/packages
LCLDIR ?= ${localedir}

docsrc = $(1)
binsrc = $(1)
sbnsrc = $(1)
etcsrc = $(1)
libsrc = $(1)
tplsrc = $(1)
homsrc = $(1)
flpsrc = $(1)
lclsrc = $(1)
cronsrc = $(1)

doctok = $(1)
bintok = $(basename $(notdir $(1)))
sbntok = $(basename $(notdir $(1)))
etctok = $(notdir $(1))
libtok = $(notdir $(1))
tpltok = $(notdir $(1))
homtok = $(notdir $(1))
flptok = $(notdir $(1))
lcltok = $(basename $(notdir $(1))) # spez2invs.zh
lcllang = $(suffix $(basename $(notdir $(1)))) # .zh, should be zh
crontok = $(basename $(notdir $(1)))

docpak = ${PAV}/$(call doctok,$(1))
binpak = ${PAV}/bin/$(call bintok,$(1))
sbnpak = ${PAV}/sbn/$(call sbntok,$(1))
libpak = ${PAV}/lib/$(call libtok,$(1))
etcpak = ${PAV}/etc/$(call etctok,$(1))
tplpak = ${PAV}/tpl/$(call tpltok,$(1))
flppak = ${PAV}/flp/$(call flptok,$(1))
hompak = $(shell hompak $(call homtok,$(1)) ${PAV})
# lclpak = ${PAV}/lcl/$(shell lclpak $(call lcltok,$(1)))
lclpak = ${PAV}/lcl/$(call lcltok,$(1))
cronpak = ${PAV}/cron/$(call crontok,$(1))

docobj = ${DOCDIR}/${PAK}/$(call doctok,$(1))
binobj = ${BINDIR}/$(call bintok,$(1))
sbnobj = ${SBNDIR}/$(call sbntok,$(1))
libobj = ${LIBDIR}/$(call libtok,$(1))
etcobj = ${ETCDIR}/$(call etctok,$(1))
tplobj = ${TPLDIR}/$(call tpltok,$(1))
flpobj = ${FLPDIR}/$(call flptok,$(1))
homobj = $(shell hompak $(call homtok,$(1)))
# lclobj = ${LCLDIR}/$(shell lclpak $(call lcltok,$(1)))
# /phm/18/04/25/sig/_lng.phm_pub_sig180425.txt#locale
lclobj = ${LCLDIR}/$(shell lcllang,$(1))/LC_MESSAGES/$(shell lcltok,$(1)).mo
cronobj = /etc/cron.$(call crontok,$(1))/${PAK}

define docrgl
$(call docpak,$(1)):	$(call docsrc,$(1))
	install -v $$< $$@
endef

define binrgl
$(call binpak,$(1)):	$(call binsrc,$(1))
	install -v $$< $$@
endef

define sbnrgl
$(call sbnpak,$(1)):	$(call sbnsrc,$(1))
	install -v $$< $$@
endef

define librgl
$(call libpak,$(1)):	$(call libsrc,$(1))
	install -vD $$< $$@
endef

define etcrgl
$(call etcpak,$(1)):	$(call etcsrc,$(1))
	install -vD $$< $$@
endef

define lclrgl
$(call lclpak,$(1)):	$(call lclsrc,$(1))
	install -vD $$< $$@
endef

define tplrgl
$(call tplpak,$(1)):	$(call tplsrc,$(1))
	install -vD $$< $$@
endef

define flprgl
$(call flppak,$(1)):	$(call flpsrc,$(1))
	install -vD $$< $$@
endef

define homrgl
$(call hompak,$(1)):	$(call homsrc,$(1))
	install -vD $$< $$@
endef

define cronrgl
$(call cronpak,$(1)):	$(call cronsrc,$(1))
	install -vD $$< $$@
endef
# Local Variables:
# coding: utf-8
# mode: makefile
# srcfile: /adv/mktdir/include/tbzpre.mk
# End:
